package cn.hmsoft.frame.data.model;

import java.io.Serializable;

import cn.hmsoft.frame.constants.FrameSeqName;
import cn.hmsoft.jdbc.entity.Table;

/*************************
 * 系统表-部门信息
 * @author zxq
 * @create 2019-06-24 18:43:21
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "FRAME_DEPT", keyColumn = "DEPT_ID", sequenceName = FrameSeqName.FrameDeptId)
public class FrameDept implements Serializable {
	private static final long serialVersionUID = -685067069978188754L;
	//部门编号
	private Integer dept_id;
	//部门名称
	private String dept_name;
	//备注信息
	private String dept_desc;
	//部门上级部门
	private Integer dept_pid;
	//部门经理
	private String dept_manager;
	//部门地址
	private String dept_addr;
	//部门联系电话
	private String dept_tel;
	//部门传真
	private String dept_fax;
	//部门编号
	private String dept_code;
	//部门级别
	private Integer dept_level;
	//机构类型
	private String dept_type;
	//教学点
	private String teach_addr;
	//状态
	private Integer status;

	/****
	 * 部门编号
	 */
	public Integer getDept_id() {
		return this.dept_id;
	}

	/****
	 * 部门编号
	 */
	public void setDept_id(Integer dept_id) {
		this.dept_id = dept_id;
	}

	/****
	 * 部门名称
	 */
	public String getDept_name() {
		return this.dept_name;
	}

	/****
	 * 部门名称
	 */
	public void setDept_name(String dept_name) {
		this.dept_name = dept_name;
	}

	/****
	 * 备注信息
	 */
	public String getDept_desc() {
		return this.dept_desc;
	}

	/****
	 * 备注信息
	 */
	public void setDept_desc(String dept_desc) {
		this.dept_desc = dept_desc;
	}

	/****
	 * 部门上级部门
	 */
	public Integer getDept_pid() {
		return this.dept_pid;
	}

	/****
	 * 部门上级部门
	 */
	public void setDept_pid(Integer dept_pid) {
		this.dept_pid = dept_pid;
	}

	/****
	 * 部门经理
	 */
	public String getDept_manager() {
		return this.dept_manager;
	}

	/****
	 * 部门经理
	 */
	public void setDept_manager(String dept_manager) {
		this.dept_manager = dept_manager;
	}

	/****
	 * 部门地址
	 */
	public String getDept_addr() {
		return this.dept_addr;
	}

	/****
	 * 部门地址
	 */
	public void setDept_addr(String dept_addr) {
		this.dept_addr = dept_addr;
	}

	/****
	 * 部门联系电话
	 */
	public String getDept_tel() {
		return this.dept_tel;
	}

	/****
	 * 部门联系电话
	 */
	public void setDept_tel(String dept_tel) {
		this.dept_tel = dept_tel;
	}

	/****
	 * 部门传真
	 */
	public String getDept_fax() {
		return this.dept_fax;
	}

	/****
	 * 部门传真
	 */
	public void setDept_fax(String dept_fax) {
		this.dept_fax = dept_fax;
	}

	/****
	 * 部门编号
	 */
	public String getDept_code() {
		return this.dept_code;
	}

	/****
	 * 部门编号
	 */
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}

	/****
	 * 部门级别
	 */
	public Integer getDept_level() {
		return this.dept_level;
	}

	/****
	 * 部门级别
	 */
	public void setDept_level(Integer dept_level) {
		this.dept_level = dept_level;
	}

	public String getTeach_addr() {
		return teach_addr;
	}

	public void setTeach_addr(String teach_addr) {
		this.teach_addr = teach_addr;
	}

	public String getDept_type() {
		return dept_type;
	}

	public void setDept_type(String dept_type) {
		this.dept_type = dept_type;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}